wibble::mixin::OutputIterator< Self > Struct Template Reference

Mixin with output iterator paperwork. More...

`#include <mixin.h>`

Inheritance diagram for wibble::mixin::OutputIterator< Self >:
[legend]
Collaboration diagram for wibble::mixin::OutputIterator< Self >:
[legend]

## Public Member Functions

Self & | operator++ ()
Self | operator++ (int)
Self & | operator* ()

## Detailed Description

### template<typename Self>
struct wibble::mixin::OutputIterator< Self >

Mixin with output iterator paperwork.

To make an output iterator, one just needs to inherit from this template and implement Self& operator=(const WhaToAccept&)

## Member Function Documentation

## operator*()

template<typename Self >

Self& wibble::mixin::OutputIterator< Self >::operator* | ( |  | ) |

inline

## operator++() [1/2]

template<typename Self >

Self& wibble::mixin::OutputIterator< Self >::operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename Self >

Self wibble::mixin::OutputIterator< Self >::operator++ | ( | int |  | ) |

inline

The documentation for this struct was generated from the following file:

- mixin.h